> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Unassign a Credential from an ACS User

> Unassigns a specified [credential](/low-level-apis/access-systems/managing-credentials) from a specified [access system user](/low-level-apis/access-systems/user-management).



## OpenAPI

````yaml /openapi.json post /acs/credentials/unassign
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/credentials/unassign:
    post:
      tags:
        - /acs
      summary: Unassign a Credential from an ACS User
      description: >-
        Unassigns a specified
        [credential](/low-level-apis/access-systems/managing-credentials) from a
        specified [access system
        user](/low-level-apis/access-systems/user-management).
      operationId: acsCredentialsUnassignPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_credential_id:
                  description: >-
                    ID of the credential that you want to unassign from an
                    access system user.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user from which you want to unassign
                    a credential. You can only provide one of acs_user_id or
                    user_identity_id.
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity from which you want to unassign a
                    credential. You can only provide one of acs_user_id or
                    user_identity_id.
                  format: uuid
                  type: string
              required:
                - acs_credential_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties: {}
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.credentials.unassign({
              user_identity_id: "417e9370-d2cc-4b23-b6d5-fbf7fdbda354",
              acs_credential_id: "b1833efd-0669-4a88-81b5-2f2d5fd5c02f",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/credentials/unassign" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "417e9370-d2cc-4b23-b6d5-fbf7fdbda354",
              "acs_credential_id": "b1833efd-0669-4a88-81b5-2f2d5fd5c02f"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.credentials.unassign(
                user_identity_id="417e9370-d2cc-4b23-b6d5-fbf7fdbda354",
                acs_credential_id="b1833efd-0669-4a88-81b5-2f2d5fd5c02f",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.credentials.unassign(
              user_identity_id: "417e9370-d2cc-4b23-b6d5-fbf7fdbda354",
              acs_credential_id: "b1833efd-0669-4a88-81b5-2f2d5fd5c02f",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->credentials->unassign(
                user_identity_id: "417e9370-d2cc-4b23-b6d5-fbf7fdbda354",
                acs_credential_id: "b1833efd-0669-4a88-81b5-2f2d5fd5c02f",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs credentials unassign --user_identity_id
            "417e9370-d2cc-4b23-b6d5-fbf7fdbda354" --acs_credential_id
            "b1833efd-0669-4a88-81b5-2f2d5fd5c02f"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````